Bug 1338615 - [SSL] : gluster v set help does not show ssl options
Summary: [SSL] : gluster v set help does not show ssl options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: RHGS 3.2.0
Assignee: Mohit Agrawal
QA Contact: Ambarish
URL:
Whiteboard:
Depends On:
Blocks: 1351134 1351522 1365756 1365757
TreeView+ depends on / blocked
 
Reported: 2016-05-23 06:53 UTC by Ambarish
Modified: 2017-03-23 05:32 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1351134 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:32:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Ambarish 2016-05-23 06:53:42 UTC
Description of problem:
-----------------------

gluster v set help does not show "help" for ssl related configurables :

[root@gqas011 /]# gluster v set help|grep server.ssl
[root@gqas011 /]# 
[root@gqas011 /]# gluster v set help|grep client.ssl
[root@gqas011 /]# 


Version-Release number of selected component (if applicable):
-------------------------------------------------------------

3.7.9-5

How reproducible:
----------------

100%

Steps to Reproduce:
------------------

Type : gluster v set help|grep server.ssl/gluster v set help|grep client.ssl on one of the nodes.

Actual results:
--------------

No help reg these options is shown.

Expected results:
----------------

The option,description and the default value should be shown.

Additional info:
---------------

-

Comment 2 Atin Mukherjee 2016-05-23 08:19:13 UTC
This is because the options are configured as NO_DOC in glusterd's volume map entry table. I'd need to check with the author of these options about why this was introduced like it.

Comment 3 Atin Mukherjee 2016-06-29 10:29:48 UTC
http://review.gluster.org/14829 posted for review.

Comment 5 Atin Mukherjee 2016-09-17 13:59:53 UTC
Upstream mainline : http://review.gluster.org/14829
Upstream 3.8 : http://review.gluster.org/15130

And the fix is available in rhgs-3.2.0 as part of rebase to GlusterFS 3.8.4.

Comment 10 Ambarish 2016-10-05 12:07:58 UTC
Verified on 3.8.4-2.

Comment 12 errata-xmlrpc 2017-03-23 05:32:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.